netatalk: papstatus.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
papstatus.c File Reference
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <sys/uio.h>`
`#include <sys/file.h>`
`#include <netatalk/at.h>`
`#include <errno.h>`
`#include <atalk/atp.h>`
`#include <atalk/pap.h>`
`#include <atalk/nbp.h>`
`#include <atalk/util.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <signal.h>`

## Macros
#define | _PATH_PAPRC ".paprc"
#define | IMAGEWRITER "ImageWriter"
#define | IMAGEWRITER_LQ "LQ"
#define | COLOR_RIBBON_INSTALLED 0b10000000
#define | SHEET_FEEDER_INSTALLED 0b01000000
#define | PAPER_OUT_ERROR 0b00100000
#define | COVER_OPEN_ERROR 0b00010000
#define | PRINTER_OFF_LINE 0b00001000
#define | PAPER_JAM_ERROR 0b00000100
#define | PRINTER_FAULT 0b00000010
#define | PRINTER_ACTIVE 0b00000001

## Functions
static void | sig_handler (int signo)
static void | getstatus (ATP atp, struct sockaddr_at *sat, int is_imagewriter)
static void | usage (char *path)
static char * | paprc (void)
static void | print_status (char status, char mask, char *message)
int | main (int ac, char **av)

## Variables
static volatile sig_atomic_t | stop_requested = 0
static char * | printer = NULL
static char | cbuf [8]
static struct nbpnve | nn

## Macro Definition Documentation

## ◆ _PATH_PAPRC

#define _PATH_PAPRC ".paprc"

## ◆ COLOR_RIBBON_INSTALLED

#define COLOR_RIBBON_INSTALLED 0b10000000

## ◆ COVER_OPEN_ERROR

#define COVER_OPEN_ERROR 0b00010000

## ◆ IMAGEWRITER

#define IMAGEWRITER "ImageWriter"

## ◆ IMAGEWRITER_LQ

#define IMAGEWRITER_LQ "LQ"

## ◆ PAPER_JAM_ERROR

#define PAPER_JAM_ERROR 0b00000100

## ◆ PAPER_OUT_ERROR

#define PAPER_OUT_ERROR 0b00100000

## ◆ PRINTER_ACTIVE

#define PRINTER_ACTIVE 0b00000001

## ◆ PRINTER_FAULT

#define PRINTER_FAULT 0b00000010

## ◆ PRINTER_OFF_LINE

#define PRINTER_OFF_LINE 0b00001000

## ◆ SHEET_FEEDER_INSTALLED

#define SHEET_FEEDER_INSTALLED 0b01000000

## Function Documentation

## ◆ getstatus()

void getstatus | ( | ATP | atp,
|  | struct sockaddr_at * | sat,
|  | int | is_imagewriter )
| static

## ◆ main()

int main | ( | int | ac,
|  | char ** | av )

## ◆ paprc()

char * paprc | ( | void |  | ) |
| static

## ◆ print_status()

void print_status | ( | char | status,
|  | char | mask,
|  | char * | message )
| static

## ◆ sig_handler()

void sig_handler | ( | int | signo | ) |
| static

## ◆ usage()

void usage | ( | char * | path | ) |
| static

## Variable Documentation

## ◆ cbuf

char cbuf[8]
| static

## ◆ nn

struct nbpnve nn
| static

## ◆ printer

char* printer = NULL
| static

## ◆ stop_requested

volatile sig_atomic_t stop_requested = 0
| static